cancel
Showing results for 
Search instead for 
Did you mean: 
cancel

IPv6 support for IPSec and IKEv2

nvpt
Beginner
Beginner

I am attempting to perform some lab tests on new IPsec features for IPv6.

I have a 1900 series router with 15.1(4)M and I see the new features.

However, on a 2800 series router with the same code (Advanced Security feature set), the new commands are not present.

The Cisco software advisor indicates that the features 'IPv6 support for IPSec and IKEv2' are included in this image but the commands do not appear.

Anyone have guidance on the discrepancy?

Thanks

3 REPLIES 3

Tommy Alexander
Cisco Employee
Cisco Employee

Hi,

IKE V2 is not supported on ISR G1 platforms (28xx 18xx series router) and  supported on the ISR G2 platforms which are 19xx and the 29xx platforms.

Hope that helps.

OK, thanks.

The software advisor is a bit misleading.

What about the IPSec portions of the feature titled "IPv6 support for IPSec and IKEv2" ? Is that also G2 only?

Hi,

The feature you are talking about is purely IPSEC : ipv6 for ikev1 and ikev2 .

Ipsec for ipv6 with ike v1 is supported on the ISR G1 platforms.

Its only that ike v2 is only supported on ISR G2 platforms.

Hope that helps...

Getting Started

Find answers to your questions by entering keywords or phrases in the Search bar above. New here? Use these resources to familiarize yourself with the community: